#include <fstream>
#include <sstream>
#include <iostream>

using namespace std;

int main() {
    std::ifstream file( "input" );
    std::stringstream is;
    string s;
    int total = 0;

    struct Ch {
        explicit Ch(char a) {
            if(a == 'A' || a == 'X') // rock
                shape = 1;
            if(a == 'B' || a == 'Y') // paper
                shape = 2;
            if(a == 'C' || a == 'Z') // scissors
                shape = 3;
        }
        int shape;

        int beats(int sh) const
        {
            if(shape == 3 && sh == 1)
                return -1;
            if(shape == 1 && sh == 3)
                return 1;

            if(shape < sh)
                return -1;
            else if (shape > sh)
                return 1;
            else
                return 0;
        }
    };

    Ch* enemy;
    Ch* my;

    is << file.rdbuf();
    file.close();

    // 1
    while (getline(is, s))
    {
        if (!s.empty())
        {
            enemy = new Ch(s[0]);
            my = new Ch(s[2]);

            int res = my->beats(enemy->shape);
            if (res > 0)
                total+=6;
            else if (!res)
                total+=3;

            total+= my->shape;

            delete enemy;
            delete my;
        }
    }

    // 2
    /* while (getline(is, s))
    {
        if (!s.empty())
        {
            enemy = new Ch(s[0]);
            char n = s[2];
            if (n == 'X')
            {
                if(enemy->shape == 1)
                    total += 3;
                else
                    total += enemy->shape-1;
            }
            else if (n == 'Y')
            {
                total += 3;
                total += enemy->shape;
            }
            else if (n == 'Z')
            {
                total += 6;
                if(enemy->shape == 3)
                    total += 1;
                else
                    total += enemy->shape+1;
            }
            delete enemy;
        }
    } */

    cout << total;
    return 0;
}
